<?php

namespace App\Policies;

use App\Models\StudentLifeEvents;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class StudentLifeEventsPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create studentlifeevents', 'edit studentlifeevents', 'view studentlifeevents', 'delete studentlifeevents'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StudentLifeEvents $studentLifeEvents): bool
    {
        return $user->hasPermissionTo('view studentlifeevents');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create studentlifeevents');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StudentLifeEvents $studentLifeEvents): bool
    {
        return $user->hasPermissionTo('edit studentlifeevents');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StudentLifeEvents $studentLifeEvents): bool
    {
        return $user->hasPermissionTo('delete studentlifeevents');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StudentLifeEvents $studentLifeEvents): bool
    {
        return $user->hasPermissionTo('restore studentlifeevents');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StudentLifeEvents $studentLifeEvents): bool
    {
        return $user->hasPermissionTo('force delete studentlifeevents');
    }
}
